Generation Framework

## org.eclipse.gmf.gmfgraph
Interface CustomClass

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  CustomBorder, CustomConnection, CustomDecoration, CustomFigure, CustomLayout, CustomLayoutData

All Known Implementing Classes:
  CustomBorderImpl, CustomConnectionImpl, CustomDecorationImpl, CustomFigureImpl, CustomLayoutDataImpl, CustomLayoutImpl

    public interface CustomClass

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Custom Class'.

The following features are supported:

- `Qualified Class Name`
- `Attributes`

See Also:
  `GMFGraphPackage.getCustomClass()`
** Generated **
Model:
  interface="true" abstract="true"

Method Summary
`org.eclipse.emf.common.util.EList<CustomAttribute>` `getAttributes()` Returns the value of the 'Attributes' containment reference list.
`java.lang.String` `getQualifiedClassName()` Returns the value of the 'Qualified Class Name' attribute
`void` `setQualifiedClassName(java.lang.String value)` Sets the value of the '`Qualified Class Name`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getQualifiedClassName

    java.lang.String getQualifiedClassName()

  Returns the value of the 'Qualified Class Name' attribute.

  If the meaning of the 'Qualified Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Qualified Class Name' attribute.
  See Also:
    `setQualifiedClassName(String)`, `GMFGraphPackage.getCustomClass_QualifiedClassName()`
  ** Generated **
  Model:

### setQualifiedClassName

    void setQualifiedClassName(java.lang.String value)

  Sets the value of the '`Qualified Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Qualified Class Name' attribute.
  See Also:
    `getQualifiedClassName()`
  ** Generated **

### getAttributes

    org.eclipse.emf.common.util.EList<CustomAttribute> getAttributes()

  Returns the value of the 'Attributes' containment reference list. The list contents are of type `CustomAttribute`.

  If the meaning of the 'Attributes' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Attributes' containment reference list.
  See Also:
    `GMFGraphPackage.getCustomClass_Attributes()`
  ** Generated **
  Model:
    containment="true"

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.